> For the complete documentation index, see [llms.txt](https://doc.batch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.batch.com/developer/sdk/react-native/data-privacy/data-collection.md).

# Automatic data collection

By default, the Batch SDK will automatically collect some data related to the user's device, please visit the native sections for more info on [Android](/developer/sdk/android/data-privacy/data-collection.md) and [iOS](/developer/sdk/ios/data-privacy/data-collection.md).

Some of this data are disabled by default and can be toggled on/off according to the user consent:

* Device model
* Device brand (Android only)
* GeoIP

Use the following API to fine-tune what you want to enable:

```javascript
Batch.updateAutomaticDataCollection({
  geoIP:true, // Enable GeoIP resolution on server side
  deviceBrand:true, // Enable automatic collection of the device brand information
  deviceModel: true // Enable automatic collection of the device model information
});
```

{% hint style="info" %}
&#x20;This API can be used at any time in your application lifecycle and Batch will remember these values, even if your Application reboots.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.batch.com/developer/sdk/react-native/data-privacy/data-collection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
